import makeStyles from "../../styles/makeStyles";

var styles = function styles(_ref) {
  var colors = _ref.cleverUI.colors;
  return {
    button: function button(_ref2) {
      var buttonColor = _ref2.buttonColor,
          onClick = _ref2.onClick,
          round = _ref2.round;
      return {
        borderRadius: "25px !important",
        minWidth: "50px",
        height: "50px",
        position: "absolute",
        display: "flex",
        border: "none",
        alignItems: "center",
        justifyContent: "center",
        padding: round ? "0px" : "0px 16px",
        backgroundColor: colors[buttonColor][500],
        "&:hover": {
          backgroundColor: onClick ? colors[buttonColor][500] : colors[buttonColor][900]
        },
        zIndex: "1"
      };
    },
    anchor: {
      minWidth: "50px",
      height: "50px",
      position: "absolute",
      bottom: "16px",
      right: "16px"
    },
    paper: function paper(_ref3) {
      var buttonColor = _ref3.buttonColor;
      return {
        borderRadius: "8px",
        backgroundColor: colors[buttonColor][500],
        height: "fit-content",
        maxHeight: "50vh",
        overflow: "auto",
        marginBottom: "16px",
        marginRight: "0px"
      };
    },
    arrow: function arrow(_ref4) {
      var buttonColor = _ref4.buttonColor;
      return {
        fill: colors[buttonColor][500]
      };
    }
  };
};

export default makeStyles(styles);